Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(17)

Issue 14225043: code review 14225043: go.crypto/ssh: reimplement SSH connection protocol modu... (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 years, 3 months ago by hanwen-google
Modified:
5 years, 9 months ago
CC:
agl1, golang-dev
Visibility:
Public.

Description

go.crypto/ssh: reimplement SSH connection protocol modularly. Adds the "mux" type, which implements the protocol on an arbitrary packet transport, and reimplements "channel" to be used in both directions. Client and server both use mux. Fixes issue 5877, 6250.

Patch Set 1 #

Patch Set 2 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 3 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 4 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 5 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 6 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 7 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 8 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 9 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 10 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 11 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 12 : diff -r 2cd6b3b93cdb https://code.google.com/p/go.crypto #

Patch Set 13 : diff -r bb19605bfacc https://code.google.com/p/go.crypto #

Total comments: 31

Patch Set 14 : diff -r 04f39b6a609b https://code.google.com/p/go.crypto #

Patch Set 15 : diff -r ef3d7138b0b5 https://code.google.com/p/go.crypto #

Patch Set 16 : diff -r ef3d7138b0b5 https://code.google.com/p/go.crypto #

Patch Set 17 : diff -r c4541c017178 https://code.google.com/p/go.crypto #

Patch Set 18 : diff -r 5ff5636e18c9 https://code.google.com/p/go.crypto #

Total comments: 8

Patch Set 19 : diff -r 5ff5636e18c9 https://code.google.com/p/go.crypto #

Patch Set 20 : diff -r 5ff5636e18c9 https://code.google.com/p/go.crypto #

Patch Set 21 : diff -r 5ff5636e18c9 https://code.google.com/p/go.crypto #

Patch Set 22 : diff -r 213a06a7ce81 https://code.google.com/p/go.crypto #

Patch Set 23 : diff -r cd1eea1eb828 https://code.google.com/p/go.crypto #

Patch Set 24 : diff -r cd1eea1eb828 https://code.google.com/p/go.crypto #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1510 lines, -1349 lines) Patch
M ssh/channel.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 3 chunks +427 lines, -486 lines 0 comments Download
M ssh/client.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 5 chunks +37 lines, -273 lines 0 comments Download
M ssh/example_test.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 chunks +9 lines, -7 lines 0 comments Download
M ssh/messages.go View 1 2 3 4 8 9 10 11 12 13 14 1 chunk +1 line, -0 lines 0 comments Download
A ssh/mux.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +358 lines, -0 lines 0 comments Download
A ssh/mux_test.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +435 lines, -0 lines 0 comments Download
M ssh/server.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 5 chunks +23 lines, -145 lines 0 comments Download
M ssh/server_terminal.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +0 lines, -1 line 0 comments Download
M ssh/session.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 12 chunks +109 lines, -149 lines 0 comments Download
M ssh/session_test.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 10 chunks +80 lines, -228 lines 0 comments Download
M ssh/tcpip.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 7 chunks +31 lines, -60 lines 0 comments Download

Messages

Total messages: 29
hanwen-google
Hello golang-dev@googlegroups.com (cc: agl@golang.org, dave@cheney.net, jpsugar@google.com), I'd like you to review this change to https://code.google.com/p/go.crypto
6 years, 3 months ago (2013-10-05 20:03:21 UTC) #1
hanwenn
hi guys, this is still a bit rough, but I think it warrants a first ...
6 years, 3 months ago (2013-10-05 20:07:28 UTC) #2
kardia
The key change on the server side was handled when the client initiated, though the ...
6 years, 3 months ago (2013-10-06 03:09:54 UTC) #3
hanwenn
How can I test if this really works, ie. how do I make OpenSSH issue ...
6 years, 3 months ago (2013-10-06 07:56:36 UTC) #4
kardia
When implementing, I tested with putty which you can set the criteria when it re-keys, ...
6 years, 3 months ago (2013-10-06 21:13:41 UTC) #5
mwhudson
On 2013/10/06 21:13:41, kardia wrote: > When implementing, I tested with putty which you can ...
6 years, 3 months ago (2013-10-06 21:26:25 UTC) #6
dfc
On 2013/10/06 21:26:25, mwhudson wrote: > On 2013/10/06 21:13:41, kardia wrote: > > When implementing, ...
6 years, 3 months ago (2013-10-09 04:40:31 UTC) #7
hanwen-google
There a couple of bits I can break out easily (which I will do), but ...
6 years, 3 months ago (2013-10-09 10:03:12 UTC) #8
dfc
Thanks. If there are any bits of the change which are moving code around that ...
6 years, 3 months ago (2013-10-09 10:05:19 UTC) #9
hanwen-google
I've synced this, to include the mempipe change. I've started another change which rewrites the ...
6 years, 3 months ago (2013-10-13 11:52:34 UTC) #10
hanwen-google
also, if you want to start reviewing this, mux and mux_test are self-contained. I could ...
6 years, 3 months ago (2013-10-13 11:55:18 UTC) #11
dfc
On 2013/10/13 11:55:18, hanwen-google wrote: > also, if you want to start reviewing this, mux ...
6 years, 3 months ago (2013-10-14 00:59:02 UTC) #12
dfc
https://codereview.appspot.com/14225043/diff/77001/ssh/channel.go File ssh/channel.go (right): https://codereview.appspot.com/14225043/diff/77001/ssh/channel.go#newcode40 ssh/channel.go:40: Stderr() io.ReadWriter Why did Stderr grow the ability to ...
6 years, 3 months ago (2013-10-14 00:59:10 UTC) #13
hanwen-google
https://codereview.appspot.com/14225043/diff/77001/ssh/channel.go File ssh/channel.go (right): https://codereview.appspot.com/14225043/diff/77001/ssh/channel.go#newcode40 ssh/channel.go:40: Stderr() io.ReadWriter On 2013/10/14 00:59:11, dfc wrote: > Why ...
6 years, 3 months ago (2013-10-14 06:30:26 UTC) #14
hanwen-google
6 years, 3 months ago (2013-10-14 06:32:41 UTC) #15
dfc
https://codereview.appspot.com/14225043/diff/77001/ssh/mux.go File ssh/mux.go (right): https://codereview.appspot.com/14225043/diff/77001/ssh/mux.go#newcode50 ssh/mux.go:50: id -= c.offset On 2013/10/14 06:30:26, hanwen-google wrote: > ...
6 years, 3 months ago (2013-10-14 06:36:40 UTC) #16
dfc
On 2013/10/14 06:36:40, dfc wrote: > https://codereview.appspot.com/14225043/diff/77001/ssh/mux.go > File ssh/mux.go (right): > > https://codereview.appspot.com/14225043/diff/77001/ssh/mux.go#newcode50 > ...
6 years, 3 months ago (2013-10-16 22:49:12 UTC) #17
hanwen-google
Hello golang-dev@googlegroups.com, hanwenn@gmail.com, kardianos@gmail.com, michael.hudson@linaro.org, dave@cheney.net (cc: agl@golang.org, golang-dev@googlegroups.com, jpsugar@google.com), Please take another look.
6 years, 3 months ago (2013-10-17 00:43:48 UTC) #18
hanwen-google
I synced in the changes, but you should probably first look at https://codereview.appspot.com/14494058/ - it ...
6 years, 3 months ago (2013-10-17 00:45:25 UTC) #19
jpsugar
https://codereview.appspot.com/14225043/diff/122001/ssh/channel.go File ssh/channel.go (right): https://codereview.appspot.com/14225043/diff/122001/ssh/channel.go#newcode18 ssh/channel.go:18: type Channel interface { I'm not sure I'm a ...
6 years, 3 months ago (2013-10-17 00:51:01 UTC) #20
hanwen-google
https://codereview.appspot.com/14225043/diff/122001/ssh/channel.go File ssh/channel.go (right): https://codereview.appspot.com/14225043/diff/122001/ssh/channel.go#newcode18 ssh/channel.go:18: type Channel interface { On 2013/10/17 00:51:02, jpsugar wrote: ...
6 years, 3 months ago (2013-10-17 14:59:07 UTC) #21
dfc
On 2013/10/17 14:59:07, hanwen-google wrote: > https://codereview.appspot.com/14225043/diff/122001/ssh/channel.go > File ssh/channel.go (right): > > https://codereview.appspot.com/14225043/diff/122001/ssh/channel.go#newcode18 > ...
6 years, 3 months ago (2013-10-19 11:27:04 UTC) #22
hanwen-google
Hello golang-dev@googlegroups.com, hanwenn@gmail.com, kardianos@gmail.com, michael.hudson@linaro.org, dave@cheney.net, jpsugar@google.com (cc: agl@golang.org, golang-dev@googlegroups.com), Please take another look.
6 years, 3 months ago (2013-10-21 00:48:58 UTC) #23
hanwen-google
* remailed (I was not familiar with needing to do that in rietveld.) * we'll ...
6 years, 3 months ago (2013-10-21 00:49:58 UTC) #24
dfc
On 2013/10/21 00:49:58, hanwen-google wrote: > * remailed (I was not familiar with needing to ...
6 years, 3 months ago (2013-10-22 22:12:17 UTC) #25
hanwen-google
I've reworked this change to be backward compatible, so we don't have to wait for ...
6 years, 2 months ago (2013-10-26 06:59:38 UTC) #26
hanwen-google
On 2013/10/26 06:59:38, hanwen-google wrote: > I've reworked this change to be backward compatible, so ...
6 years, 2 months ago (2013-11-07 11:58:14 UTC) #27
hanwen-google
*** Abandoned ***
6 years, 2 months ago (2013-11-07 12:53:03 UTC) #28
hanwen-google
5 years, 9 months ago (2014-04-15 10:22:54 UTC) #29
Message was sent while issue was closed.
*** Abandoned ***
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b